#include <psychlops.h>
using namespace Psychlops;

double width=100,height=100;
Psychlops::Rectangle rect1(width,height);
Psychlops::Color col;
Psychlops::Image Noise1(rect1);

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	Noise1.quicken();
	Noise1.centering();
	while(!Input::get(Keyboard::spc)){
		for(int x=0; x<width; x+=3){
			for(int y=0; y<height; y+=3){
				col.set(0.5,0.2,0.8);
				Noise1.pix(x,y,col);
			}
		}
	Noise1.draw();
	sampleA.flip();
	}
}